<? 
class string_time
{//DigiHex Systems\\


	function count_time_ago($d,$straight_time=false) {
		if($straight_time==true) {
			if($d==0) return '-';
			$ts = time() - $d;
		} else {
			$d=strip_tags($d);
			if($d==0) return '-';
			$ts = time() - strtotime(str_replace("-","/",$d));
		}
		if($ts<0) {
			$reverse=true;
			$ts*=-1;
		}

		if($ts>31536000) {
			$val = round($ts/31536000,0);
			if($val==1) $val.=' rok';
			if($val>=2 && $val<=4) $val.=' lata';
			if($val>=5) $val.=' lat';
		} else if($ts>2419200) {
			$val = round($ts/2419200,0);
			if($val==1) $val.=' m-c';
			if($val>=2 && $val<=4) $val.=' m-ce';
			if($val>=5) $val.=' m-cy';
		} else if($ts>604800) {
			$val = round($ts/604800,0);
			if($val==1) $val.=' tydz.';
			if($val>=2) $val.=' tyg.';
		} else if($ts>86400) {
			$val = round($ts/86400,0);
			if($val==1) $val.=' dzień';
			if($val>=2) $val.=' dni';
		} else if($ts>3600) {
			$val = round($ts/3600,0);
			$val.=' godz.';
		} else if($ts>60) {
			$val = round($ts/60,0);
			$val.=' min.';
		} else {
			$val = $ts;
			if($val==0) return 'teraz';
			$val.=' sek.';
		}

		if($reverse==true) {
			$val='za '.$val;
		} else {
			$val.=' temu';
		}
		return $val;
	}


	function count_day_ago($in) {
		$d=substr($in,0,10);
		if($d==date('Y-m-d')) return 'dziś';
		if($d==date("Y-m-d", strtotime("-1 day"))) return 'wczoraj';
		if($d==date("Y-m-d", strtotime("-2 day"))) return 'przedwczoraj';
		return $d;
	}


	function count_years($in, $full_text=false) {
		$x=time()-strtotime(str_replace('-','/',$in));
		$years=($x/(3600*24*365));

		if($full_text==true) {
			$r=floor($years);
			if($r==1) $r.=' rok';
			if($r>=2 && $r<=4) $r.=' lata';
			if($r>=5 && $r<=20) $r.=' lat';
			if($r>=21 && $r<=99) {
				$w=substr($r,-1);
				if($w<=1) $r.=' lat';
				if($w>=2 && $w<=4) $r.=' lata';
				if($w>=5 && $w<=9) $r.=' lat';
			}
			return $r;
		} else {
			return floor($years);
		}
	}


}//DigiHex Systems\\
?>